Subject: Re: associating(?) .sh scripts
From: David T-G <[email-masked]>
To: "CygWin Users' List" <[email-masked]>
Cc: Andrew Markebo <[email-masked]>
Date: Mon, 3 Jun 2002 09:35:50 -0500

Andrew --

...and then Andrew Markebo said...
% 
% [...]
% | It does not have a shebang line, since I never figured out how to
% | properly put one in (but also never needed one), and it is almost
% [...]
% 
% Try to add a #!/bin/sh and see if you have some more luck this time.

Will do, but when I first discovered that

  ../meta-play.sh

didn't work I tried

  sh ../meta-play.sh

and it said "what??" and so I had to go to bash.  More details this
evening, I promise.

% 
% Hmm do a mount to check which mode the CD is 'mounted' as, and use od
% to see if it is dos or unix newlines in the file.

Well, the script itself as well as the source dir are on my e: drive; as
part of the script it will cd to /f to read from the cd, but it starts
in the current directory, so I don't think the CD's mount should have
anything to do with it...  Does it?

% 
%         /Andy
% 
% -- 
%  The eye of the beholder rests on the beauty!

Thanks again & HAND

:-D
-- 
David T-G                      * It's easier to fight for one's principles
(play) [email-masked] * than to live up to them. -- fortune cookie
(work) [email-masked]
http://www.justpickone.org/davidtg/    Shpx gur Pbzzhavpngvbaf Qrprapl Npg!